--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The function to use, should be an SQL::Function.
  name: function
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The window to use, should be an SQL::Window.
  name: window
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: A WindowFunction is a grouping of a function with a window over which it operates.
constants: []

full_name: Sequel::SQL::WindowFunction
includes: []

instance_methods: []

name: WindowFunction
superclass: GenericExpression
